package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class QualityTraceabilityBean extends BaseMesPageBean {

    private List<ListBean> list;


    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }


    public static class ListBean {
        /**
         * id : 1
         * serialNumber : SERIAL0002
         * basketId : ASDAS
         * basketCode : LONGK0001
         * productId : 7101010688L
         * productCode : 7101010688L
         * productName : 塞棒(高碱）加套B354-2
         * drawingNumber : xxxxx
         * specification : null
         * orderId : cf185b11382311ea8334fa163e1166bd
         * orderNumber : SOGK19112800012
         * manufactureOrderNumber : LSL1111
         * seriesName : null
         * siteId : GK10
         * siteName : 生产部（GK）
         * siteCode : GK10
         * verson : null
         * boxId : null
         * boxNumber : null
         * innerBoxCode : null
         * outerBoxCode : null
         * mpsProductDetailVOS : null
         * seriesType : null
         * custCode : null
         * steelTypeId : null
         * steelTypeName : null
         */

        private String id;
        private String serialNumber;
        private String basketId;
        private String basketCode;
        private String productId;
        private String productCode;
        private String productName;
        private String drawingNumber;
        private String specification;
        private String orderId;
        private String orderNumber;
        private String manufactureOrderNumber;
        private String seriesName;
        private String siteId;
        private String siteName;
        private String siteCode;
        private String verson;
        private Object boxId;
        private String boxNumber;
        private Object innerBoxCode;
        private Object outerBoxCode;
        private Object mpsProductDetailVOS;
        private Object seriesType;
        private Object custCode;
        private Object steelTypeId;
        private Object steelTypeName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        public String getBasketId() {
            return basketId;
        }

        public void setBasketId(String basketId) {
            this.basketId = basketId;
        }

        public String getBasketCode() {
            return basketCode;
        }

        public void setBasketCode(String basketCode) {
            this.basketCode = basketCode;
        }

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getDrawingNumber() {
            return drawingNumber;
        }

        public void setDrawingNumber(String drawingNumber) {
            this.drawingNumber = drawingNumber;
        }

        public String getSpecification() {
            return specification;
        }

        public void setSpecification(String specification) {
            this.specification = specification;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getOrderNumber() {
            return orderNumber;
        }

        public void setOrderNumber(String orderNumber) {
            this.orderNumber = orderNumber;
        }

        public String getManufactureOrderNumber() {
            return manufactureOrderNumber;
        }

        public void setManufactureOrderNumber(String manufactureOrderNumber) {
            this.manufactureOrderNumber = manufactureOrderNumber;
        }

        public String getSeriesName() {
            return seriesName;
        }

        public void setSeriesName(String seriesName) {
            this.seriesName = seriesName;
        }

        public String getSiteId() {
            return siteId;
        }

        public void setSiteId(String siteId) {
            this.siteId = siteId;
        }

        public String getSiteName() {
            return siteName;
        }

        public void setSiteName(String siteName) {
            this.siteName = siteName;
        }

        public String getSiteCode() {
            return siteCode;
        }

        public void setSiteCode(String siteCode) {
            this.siteCode = siteCode;
        }

        public String getVerson() {
            return verson;
        }

        public void setVerson(String verson) {
            this.verson = verson;
        }

        public Object getBoxId() {
            return boxId;
        }

        public void setBoxId(Object boxId) {
            this.boxId = boxId;
        }

        public String getBoxNumber() {
            return boxNumber;
        }

        public void setBoxNumber(String boxNumber) {
            this.boxNumber = boxNumber;
        }

        public Object getInnerBoxCode() {
            return innerBoxCode;
        }

        public void setInnerBoxCode(Object innerBoxCode) {
            this.innerBoxCode = innerBoxCode;
        }

        public Object getOuterBoxCode() {
            return outerBoxCode;
        }

        public void setOuterBoxCode(Object outerBoxCode) {
            this.outerBoxCode = outerBoxCode;
        }

        public Object getMpsProductDetailVOS() {
            return mpsProductDetailVOS;
        }

        public void setMpsProductDetailVOS(Object mpsProductDetailVOS) {
            this.mpsProductDetailVOS = mpsProductDetailVOS;
        }

        public Object getSeriesType() {
            return seriesType;
        }

        public void setSeriesType(Object seriesType) {
            this.seriesType = seriesType;
        }

        public Object getCustCode() {
            return custCode;
        }

        public void setCustCode(Object custCode) {
            this.custCode = custCode;
        }

        public Object getSteelTypeId() {
            return steelTypeId;
        }

        public void setSteelTypeId(Object steelTypeId) {
            this.steelTypeId = steelTypeId;
        }

        public Object getSteelTypeName() {
            return steelTypeName;
        }

        public void setSteelTypeName(Object steelTypeName) {
            this.steelTypeName = steelTypeName;
        }
    }
}
